> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.jarvi.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# [Projekte] Auflisten

> Get all projects (recruitment, sales, etc.) with their custom fields, files, and more. This endpoint is not paginated, you got enverything at once.

<Warning>
  Sie müssen Ihren **privaten API-Schlüssel** für diese Anfrage verwenden. Sie müssen die Daten auf Ihrer Seite
  zwischenspeichern, um die täglichen Anfragelimits einzuhalten.
</Warning>

Sie können alle Informationen jedes Projekts vollständig mit <a href="../../custom-fields">Benutzerdefinierten Feldern</a> anpassen. Klicken Sie auf diesen Link, um zu verstehen, wie Sie Informationen in benutzerdefinierten Feldern lesen und schreiben können.


## OpenAPI

````yaml GET /rest/v2/projects
openapi: 3.0.1
info:
  title: Jarvi API
  description: An API to help you read and manage your projects, profiles, and more.
  license:
    name: MIT
  version: 2.0.0
servers:
  - url: https://functions.prod.jarvi.tech/v1/public-api
security:
  - ApiKeyAuth: []
paths:
  /rest/v2/projects:
    get:
      summary: Get Projects
      description: >-
        Get all projects (recruitment, sales, etc.) with their custom fields,
        files, and more. This endpoint is not paginated, you got enverything at
        once.
      parameters:
        - in: query
          name: updatedAfter
          schema:
            type: string
          required: false
          description: An ISO 8601 date string to filter projects updated after this date
          example: '2024-05-30T10:19:11.381731+00:00'
        - in: query
          name: where
          schema:
            type: string
          required: false
          description: >-
            A JSON object string containing the graphQL filters for more
            advanced usage. Example: {"statusId": {"_eq":
            "cae642f0-463c-45f5-9db5-e0a280a8e883"} }
        - in: query
          name: orderBy
          schema:
            type: string
          required: false
          description: >-
            A JSON object string containing the order. Example: { "createdAt":
            "desc" }
        - in: query
          name: limit
          schema:
            type: number
          required: false
          description: The number of projects to return. Default is 100. Maximum is 1000
        - in: query
          name: offset
          schema:
            type: number
          required: false
          description: The number of projects to skip. Default is 0.
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  projects:
                    items:
                      description: columns and relationships of "projects"
                      nullable: false
                      properties:
                        __typename:
                          nullable: false
                          title: String
                          type: string
                        assignees:
                          items:
                            description: Users assigned to projects.
                            nullable: false
                            properties:
                              user:
                                nullable: false
                                properties:
                                  displayName:
                                    nullable: false
                                    title: String
                                    type: string
                                  email:
                                    $ref: '#/components/schemas/citext'
                                  id:
                                    $ref: '#/components/schemas/uuid!'
                                title: users
                                type: object
                            title: projects_assignees
                            type: object
                          nullable: false
                          type: array
                        color:
                          description: The project color as set up by the user
                          nullable: true
                          properties:
                            id:
                              nullable: false
                              description: The hex color code
                              title: String
                              type: string
                            name:
                              nullable: true
                              title: String
                              type: string
                          title: colors
                          type: object
                        colorId:
                          nullable: true
                          title: String
                          type: string
                        company:
                          description: The company associated with the project
                          nullable: true
                          properties:
                            companyPublicData:
                              description: Public informations about this company
                              nullable: false
                              properties:
                                description:
                                  nullable: true
                                  title: String
                                  type: string
                                foundedAt:
                                  $ref: '#/components/schemas/timestamptz'
                                id:
                                  $ref: '#/components/schemas/uuid!'
                                image:
                                  description: Logo of the company
                                  nullable: true
                                  properties:
                                    publicUrl:
                                      nullable: true
                                      title: String
                                      type: string
                                  title: images
                                  type: object
                                linkedinEmployeeCount:
                                  nullable: true
                                  title: Int
                                  type: integer
                                linkedinEmployeeEndCount:
                                  nullable: true
                                  title: Int
                                  type: integer
                                linkedinEmployeeStartCount:
                                  nullable: true
                                  title: Int
                                  type: integer
                                linkedinUrl:
                                  nullable: true
                                  title: String
                                  type: string
                                name:
                                  nullable: false
                                  title: String
                                  type: string
                                tagline:
                                  nullable: true
                                  title: String
                                  type: string
                                website:
                                  nullable: true
                                  title: String
                                  type: string
                              title: companies_publicdata
                              type: object
                            description:
                              nullable: true
                              title: String
                              type: string
                            id:
                              $ref: '#/components/schemas/uuid!'
                          title: companies
                          type: object
                        companyId:
                          $ref: '#/components/schemas/uuid'
                        createdAt:
                          $ref: '#/components/schemas/timestamptz!'
                        deletedAt:
                          $ref: '#/components/schemas/timestamptz'
                        externalId:
                          nullable: true
                          title: String
                          type: string
                        fieldsValues:
                          items:
                            description: >-
                              columns and relationships of
                              "projects_fieldsvalues"
                            nullable: false
                            properties:
                              field:
                                description: columns and relationships of "fields"
                                nullable: false
                                properties:
                                  id:
                                    $ref: '#/components/schemas/uuid!'
                                  name:
                                    nullable: false
                                    title: String
                                    type: string
                                  purpose:
                                    $ref: '#/components/schemas/fields_purposes_enum'
                                  type:
                                    $ref: '#/components/schemas/fields_types_enum!'
                                title: fields
                                type: object
                              fieldValue:
                                description: columns and relationships of "fieldsvalues"
                                nullable: true
                                properties:
                                  id:
                                    $ref: '#/components/schemas/uuid!'
                                  name:
                                    nullable: false
                                    title: String
                                    type: string
                                  technicalValue:
                                    nullable: true
                                    title: String
                                    type: string
                                title: fieldsvalues
                                type: object
                              id:
                                $ref: '#/components/schemas/uuid!'
                              location:
                                description: columns and relationships of "locations"
                                nullable: true
                                properties:
                                  administrativeAreaLevel1:
                                    nullable: true
                                    title: String
                                    type: string
                                  administrativeAreaLevel2:
                                    nullable: true
                                    title: String
                                    type: string
                                  countryName:
                                    nullable: true
                                    title: String
                                    type: string
                                  countryShortName:
                                    nullable: true
                                    title: String
                                    type: string
                                  formattedAddress:
                                    nullable: true
                                    title: String
                                    type: string
                                  id:
                                    $ref: '#/components/schemas/uuid!'
                                  locality:
                                    nullable: true
                                    title: String
                                    type: string
                                  postalCode:
                                    nullable: true
                                    title: String
                                    type: string
                                  search:
                                    nullable: false
                                    title: String
                                    type: string
                                title: locations
                                type: object
                              value:
                                nullable: true
                                title: String
                                type: string
                            title: projects_fieldsvalues
                            type: object
                          nullable: false
                          type: array
                        files:
                          items:
                            description: columns and relationships of "projects_files"
                            nullable: false
                            properties:
                              createdAt:
                                $ref: '#/components/schemas/timestamptz!'
                              file:
                                description: columns and relationships of "storage.files"
                                nullable: false
                                properties:
                                  id:
                                    $ref: '#/components/schemas/uuid!'
                                  mimeType:
                                    nullable: true
                                    title: String
                                    type: string
                                  name:
                                    nullable: true
                                    title: String
                                    type: string
                                  size:
                                    nullable: true
                                    title: Int
                                    type: integer
                                title: files
                                type: object
                              fileId:
                                $ref: '#/components/schemas/uuid!'
                              updatedAt:
                                $ref: '#/components/schemas/timestamptz!'
                            title: projects_files
                            type: object
                          nullable: false
                          type: array
                        group:
                          description: columns and relationships of "groups"
                          nullable: true
                          properties:
                            id:
                              $ref: '#/components/schemas/uuid!'
                            name:
                              nullable: false
                              title: String
                              type: string
                          title: groups
                          type: object
                        groupId:
                          $ref: '#/components/schemas/uuid'
                        id:
                          $ref: '#/components/schemas/uuid!'
                        ignoreHistoryBeforeProjectCreatedAt:
                          nullable: false
                          title: Boolean
                          type: boolean
                        isMadeForRecruitment:
                          nullable: false
                          title: Boolean
                          type: boolean
                        isMadeForSales:
                          nullable: false
                          title: Boolean
                          type: boolean
                        jobBoardsOffers:
                          items:
                            description: A job offer on a job board, created by a user
                            nullable: false
                            properties:
                              id:
                                $ref: '#/components/schemas/uuid!'
                            title: jobboards_offers
                            type: object
                          nullable: false
                          type: array
                        linkedinContractId:
                          nullable: true
                          title: Int
                          type: integer
                        linkedinId:
                          nullable: true
                          title: String
                          type: string
                        linkedinIdType:
                          $ref: '#/components/schemas/projects_linkedin_id_types_enum'
                        name:
                          nullable: false
                          title: String
                          type: string
                        presetId:
                          $ref: '#/components/schemas/uuid!'
                        profilesCountPerStatusGroup:
                          items:
                            description: >-
                              columns and relationships of
                              "projects_statuses_count_view"
                            nullable: false
                            properties:
                              count:
                                $ref: '#/components/schemas/bigint'
                              status:
                                description: columns and relationships of "statuses"
                                nullable: true
                                properties:
                                  color:
                                    description: columns and relationships of "colors"
                                    nullable: true
                                    properties:
                                      id:
                                        nullable: false
                                        title: String
                                        type: string
                                      name:
                                        nullable: true
                                        title: String
                                        type: string
                                    title: colors
                                    type: object
                                  id:
                                    $ref: '#/components/schemas/uuid!'
                                  isAuto:
                                    nullable: false
                                    title: Boolean
                                    type: boolean
                                  isHidden:
                                    nullable: false
                                    title: Boolean
                                    type: boolean
                                  order:
                                    $ref: '#/components/schemas/numeric!'
                                  parentId:
                                    $ref: '#/components/schemas/uuid'
                                  title:
                                    nullable: false
                                    title: String
                                    type: string
                                title: statuses
                                type: object
                            title: projects_statuses_count_view
                            type: object
                          nullable: false
                          type: array
                        projectJobBoards:
                          items:
                            description: columns and relationships of "projects_jobboards"
                            nullable: false
                            properties:
                              createdAt:
                                $ref: '#/components/schemas/timestamptz!'
                              deletedAt:
                                $ref: '#/components/schemas/timestamptz'
                              enabledAt:
                                $ref: '#/components/schemas/timestamptz'
                              id:
                                $ref: '#/components/schemas/uuid!'
                              jobBoard:
                                description: >-
                                  A job board is a website where you can publish
                                  job offers
                                nullable: false
                                properties:
                                  canonicalName:
                                    nullable: false
                                    title: String
                                    type: string
                                  id:
                                    $ref: '#/components/schemas/uuid!'
                                title: jobboards
                                type: object
                              projectId:
                                $ref: '#/components/schemas/uuid!'
                              updatedAt:
                                $ref: '#/components/schemas/timestamptz!'
                            title: projects_jobboards
                            type: object
                          nullable: false
                          type: array
                        referenceId:
                          nullable: true
                          title: String
                          type: string
                        status:
                          description: columns and relationships of "statuses"
                          nullable: true
                          properties:
                            color:
                              description: columns and relationships of "colors"
                              nullable: true
                              properties:
                                id:
                                  nullable: false
                                  title: String
                                  type: string
                                name:
                                  nullable: true
                                  title: String
                                  type: string
                              title: colors
                              type: object
                            id:
                              $ref: '#/components/schemas/uuid!'
                            isAuto:
                              nullable: false
                              title: Boolean
                              type: boolean
                            title:
                              nullable: false
                              title: String
                              type: string
                          title: statuses
                          type: object
                        statusId:
                          $ref: '#/components/schemas/uuid'
                        updatedAt:
                          $ref: '#/components/schemas/timestamptz!'
                        user:
                          description: >-
                            User account information. Don't modify its structure
                            as Hasura Auth relies on it to function properly.
                          nullable: true
                          properties:
                            disabled:
                              nullable: false
                              title: Boolean
                              type: boolean
                            displayName:
                              nullable: false
                              title: String
                              type: string
                            email:
                              $ref: '#/components/schemas/citext'
                            id:
                              $ref: '#/components/schemas/uuid!'
                          title: users
                          type: object
                        userId:
                          $ref: '#/components/schemas/uuid'
                      title: projects
                      type: object
                    nullable: false
                    type: array
              example:
                data:
                  - id: 0c48cc86-352e-4098-9f34-5785e3aeafa3
                    name: Dev JAVA - IDF
                    userId: 0024184e-0780-4f3b-be35-9c057ad94ec4
                    linkedinId: null
                    createdAt: '2024-05-30T10:19:11.381731+00:00'
                    updatedAt: '2024-10-24T08:41:12.981473+00:00'
                    deletedAt: null
                    colorId: '#d81b60'
                    presetId: 6fa349af-3a56-4b3d-95b0-91f50e190929
                    isMadeForRecruitment: true
                    isMadeForSales: false
                    groupId: 952582b4-bb51-461e-b566-0e5f980f4660
                    group:
                      id: 952582b4-bb51-461e-b566-0e5f980f4660
                      name: Jarvi Core Team
                      __typename: groups
                    user:
                      displayName: Sarah Le Roué
                      email: sarah@jarvi.tech
                      id: 0024184e-0780-4f3b-be35-9c057ad94ec4
                      disabled: false
                      __typename: users
                    assignees:
                      - user:
                          displayName: Sarah Le Roué
                          email: sarah@jarvi.tech
                          id: 0024184e-0780-4f3b-be35-9c057ad94ec4
                          __typename: users
                        __typename: projects_assignees
                      - user:
                          displayName: Johan Barri
                          email: johan@jarvi.tech
                          id: 01163432-1cc2-41ea-b3de-8daab8f878a6
                          __typename: users
                        __typename: projects_assignees
                      - user:
                          displayName: Quentin DECRE
                          email: quentin.alerte@outlook.com
                          id: 635e0ede-ea2a-4a43-b71d-2fda576d9da5
                          __typename: users
                        __typename: projects_assignees
                    linkedinContractId: null
                    statusId: dbab8773-8b59-4597-af75-b31333dd5409
                    ignoreHistoryBeforeProjectCreatedAt: false
                    companyId: df587e25-03e6-4b9a-aaa4-c9c20a913f4d
                    externalId: null
                    referenceId: null
                    linkedinIdType: null
                    files:
                      - fileId: 3b13c2cf-d24c-49ce-96ab-52bcbe5e8016
                        createdAt: '2024-05-30T13:33:19.20422+00:00'
                        updatedAt: '2024-05-30T13:33:19.20422+00:00'
                        file:
                          id: 3b13c2cf-d24c-49ce-96ab-52bcbe5e8016
                          name: 13335003010401565611626.pdf
                          size: 225265
                          mimeType: application/pdf
                          __typename: files
                        __typename: projects_files
                    status:
                      title: Pourvu
                      color:
                        id: '#bbdefb'
                        name: blue-100
                        __typename: colors
                      isAuto: false
                      id: dbab8773-8b59-4597-af75-b31333dd5409
                      __typename: statuses
                    company:
                      id: df587e25-03e6-4b9a-aaa4-c9c20a913f4d
                      description: >-
                        Inetum is a European leader in digital services.
                        Inetum’s team of 28,000 consultants and specialists
                        strive every day to make a digital impact for
                        businesses, public sector entities and society. Inetum’s
                        solutions aim at contributing to its clients’
                        performance and innovation as well as the common
                        good.<br /><br />Present in 19 countries with a dense
                        network of sites, Inetum partners with major software
                        publishers to meet the challenges of digital
                        transformation with proximity and flexibility.<br /><br
                        />Driven by its ambition for growth and scale, Inetum
                        generated sales of 2.5 billion euros in 2023.<br /><br
                        />🏅 Top Employer Europe 2024
                      companyPublicData:
                        id: 0188501c-fbb2-454c-b272-8304e00bb1af
                        name: Inetum
                        tagline: ''
                        description: >-
                          Inetum is a European leader in digital services.
                          Inetum’s team of 28,000 consultants and specialists
                          strive every day to make a digital impact for
                          businesses, public sector entities and society.
                          Inetum’s solutions aim at contributing to its clients’
                          performance and innovation as well as the common
                          good.<br /><br />Present in 19 countries with a dense
                          network of sites, Inetum partners with major software
                          publishers to meet the challenges of digital
                          transformation with proximity and flexibility.<br
                          /><br />Driven by its ambition for growth and scale,
                          Inetum generated sales of 2.5 billion euros in
                          2023.<br /><br />🏅 Top Employer Europe 2024
                        foundedAt: '1970-01-01T00:00:00+00:00'
                        linkedinEmployeeCount: 19911
                        linkedinEmployeeStartCount: 10001
                        linkedinEmployeeEndCount: null
                        linkedinUrl: https://www.linkedin.com/company/inetum/
                        website: http://www.inetum.com
                        image:
                          publicUrl: >-
                            https://qimsyaozqntinmrokopq.storage.eu-west-2.nhost.run/v1/files/bca81251-e43f-4c7f-9d64-30bf4e308bc4
                          __typename: images
                        __typename: companies_publicdata
                      __typename: companies
                    fieldsValues:
                      - id: 1785a816-1cf3-4e07-849b-4be09a8ddad6
                        field:
                          id: 00da911c-e3e1-46c1-86cc-0c1ec53e3213
                          type: richtext
                          name: Test Laurent
                          purpose: null
                          __typename: fields
                        fieldValue: null
                        location: null
                        value: '<p>contenu 1 : </p><p></p><p></p><p>Contenu 2</p> '
                        __typename: projects_fieldsvalues
                      - id: 049d767e-c7cb-42e8-b0fb-7668cfba391e
                        field:
                          id: de7fae4a-5f73-43a4-a92f-e19c4ecd81f1
                          type: boolean
                          name: >-
                            resources.fields.purposes.joboffer_salary_is_public.name
                          purpose: joboffer_salary_is_public
                          __typename: fields
                        fieldValue: null
                        location: null
                        value: 'true'
                        __typename: projects_fieldsvalues
                    color:
                      id: '#d81b60'
                      name: pink-600
                      __typename: colors
                    jobBoardsOffers: []
                    projectJobBoards:
                      - id: b2419d33-4bc8-4903-96da-1a4158efd9a0
                        createdAt: '2024-06-06T15:05:50.865116+00:00'
                        updatedAt: '2024-06-06T15:05:50.865116+00:00'
                        deletedAt: null
                        enabledAt: null
                        projectId: 0c48cc86-352e-4098-9f34-5785e3aeafa3
                        jobBoard:
                          id: 6dff7763-9838-4f17-a25b-b071450d9078
                          canonicalName: jobpostingpro
                          __typename: jobboards
                        __typename: projects_jobboards
                      - id: 0a78ce19-4bfd-4f7f-bd67-008e4fe7de7d
                        createdAt: '2024-05-31T15:43:11.701385+00:00'
                        updatedAt: '2024-05-31T15:43:11.701385+00:00'
                        deletedAt: null
                        enabledAt: null
                        projectId: 0c48cc86-352e-4098-9f34-5785e3aeafa3
                        jobBoard:
                          id: cd736c13-df8f-4446-9779-bda031897b8f
                          canonicalName: hellowork
                          __typename: jobboards
                        __typename: projects_jobboards
                    profilesCountPerStatusGroup:
                      - status:
                          id: 2ee21f1a-4bbe-47a4-8c5f-cfb1b6a18f21
                          title: jarvis.statusesGroups.sourcing
                          isHidden: false
                          isAuto: true
                          order: 10000
                          parentId: null
                          color: null
                          __typename: statuses
                        count: 121
                        __typename: projects_statuses_count_view
                      - status:
                          id: efd56a50-9117-4c82-9b3d-96731c1b0dd9
                          title: jarvis.statusesGroups.inprocess
                          isHidden: false
                          isAuto: true
                          order: 20000
                          parentId: null
                          color: null
                          __typename: statuses
                        count: 30
                        __typename: projects_statuses_count_view
                      - status:
                          id: 29cbf257-936a-40a9-a233-695ef0601e4a
                          title: jarvis.statusesGroups.archived
                          isHidden: false
                          isAuto: false
                          order: 30001
                          parentId: null
                          color: null
                          __typename: statuses
                        count: 1
                        __typename: projects_statuses_count_view
                    __typename: projects
                total: 1
          description: Responses for GET /api/rest/projects
components:
  schemas:
    citext:
      nullable: true
      title: citext
    uuid!:
      nullable: false
      pattern: '[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}'
      title: uuid
      type: string
    timestamptz:
      nullable: true
      title: timestamptz
    uuid:
      nullable: true
      pattern: '[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}'
      title: uuid
      type: string
    timestamptz!:
      nullable: false
      title: timestamptz
    fields_purposes_enum:
      enum:
        - business_estimated_revenue
        - joboffer
        - joboffer_activity_area
        - joboffer_benefits
        - joboffer_company_description
        - joboffer_company_name
        - joboffer_contract_duration_in_months
        - joboffer_contract_type
        - joboffer_description
        - joboffer_employee_status
        - joboffer_is_fulltime
        - joboffer_job_category
        - joboffer_level_of_study
        - joboffer_location
        - joboffer_min_years_of_experience
        - joboffer_profile_description
        - joboffer_remote_days_per_week
        - joboffer_salary_is_public
        - joboffer_salary_per_year_max
        - joboffer_salary_per_year_min
        - joboffer_salary_range_eur
        - joboffer_title
      nullable: true
      title: fields_purposes_enum
    fields_types_enum!:
      enum:
        - boolean
        - date
        - group
        - multiplechoice
        - number
        - rating
        - richtext
        - singlechoice
        - singlelocation
        - text
      nullable: false
      title: fields_types_enum
    projects_linkedin_id_types_enum:
      enum:
        - LINKEDIN_SALES_NAVIGATOR_LIST
        - LINKEDIN_TALENT_PROJECT
      nullable: true
      title: projects_linkedin_id_types_enum
    bigint:
      nullable: true
      title: bigint
    numeric!:
      nullable: false
      title: numeric
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````